import { Button, Input, InputProps, Space } from "antd"
import React from "react"

interface PasswordProps extends InputProps {
    forgotPassword?: () => void
}
/**
 * 忘记密码 密码框
 * @param props 
 * @returns 
 */
const Password: React.FC<PasswordProps> = ({ forgotPassword, ...inputProps }) => {

    return <Space>
        <Input.Password {...inputProps} />
        <Button size={inputProps.size} onClick={() => forgotPassword?.()}>忘记密码</Button>
    </Space>
}

export default React.memo(Password)