import { Modal, QRCode, Space } from "antd";
import React from "react"



interface Props {
    data: { qrcode: string, amount: string, orderId: string }
    open?: boolean
    onClose?: () => void
}
const WxpcQrCode: React.FC<Props> = ({ open, onClose, data }) => {

    /****************************/
    const { qrcode, amount, orderId } = data
    /****************************/

    return <Modal
        open={open}
        width={300}
        centered={true}
        footer={null}
        keyboard={false}
        maskClosable={false}
        onCancel={(e) => { e.stopPropagation(); onClose?.() }}
        className="authPop"
        title={<div className="payment_head">
            <span className="payment_title">订单确认</span>
        </div>}
    >
        <Space style={{ padding: '10px 0' }} size={20}>
            <QRCode className="payCode" value={qrcode || '-'} type="svg" style={{ padding: 0, width: 'auto', height: 'auto' }} size={136} bordered={false} />
            <div className="payment_info">
                <p>应付：<b>{amount}元</b></p>
                <p>实付：<b>{amount}元</b></p>
                <p className="payment_tips">请用微信扫描二维码完成支付</p>
            </div>
        </Space>
        <div className="payment_foot">
            订单号：{orderId}
        </div>
    </Modal>
}

export default React.memo(WxpcQrCode)